[polipo] have NetworkMananger use systemctl to restart service if it's running

Bernard Johnson bjohnson at fedoraproject.org
Sun Dec 2 19:39:04 UTC 2012


commit bf802170d40a1fa48cfa92a556f8f1f5d3494324
Author: Bernard Johnson <bjohnson at symetrix.com>
Date:   Sun Dec 2 11:59:36 2012 -0700

    have NetworkMananger use systemctl to restart service if it's running

 polipo.nm   |    4 ++--
 polipo.spec |    1 +
 2 files changed, 3 insertions(+), 2 deletions(-)
---
diff --git a/polipo.nm b/polipo.nm
index af54e4a..29d84e8 100644
--- a/polipo.nm
+++ b/polipo.nm
@@ -1,6 +1,6 @@
 #!/bin/sh
 
 if [ "$2" = "up" ]; then
-    # use restart - bugzilla #699677
-    /sbin/chkconfig polipo && /sbin/service polipo restart || :
+    # use restart - bugzilla #699677 (now with systemctl)
+    /usr/bin/systemctl try-restart polipo || :
 fi
diff --git a/polipo.spec b/polipo.spec
index 86b52e2..26f481d 100644
--- a/polipo.spec
+++ b/polipo.spec
@@ -196,6 +196,7 @@ fi
 %changelog
 * Sun Dec 02 2012 Bernard Johnson <bjohnson at symetrix.com> - 1.0.4.1-9
 - systemd unit file is strange (bz #872872)
+- have NetworkMananger use systemctl to restart service if it's running
 
 * Sat Jul 21 2012 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 1.0.4.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild


More information about the scm-commits mailing list